package cn.hanghui.outapi.platform.alipay.entity.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @description: 证件类型
 * @ClassName
 */
@AllArgsConstructor
@Getter
public enum AlipayCertTypeEnum {

//    IDENTITY_CARD 身份证，PASS_PORT 护照，STU_NUM 学生学号，COMPANY_NUM 工号，TAIWAN_CARD 台胞证，HK_MC_CARD 港澳证件
    /**
     * 证件类型
     */
    IDENTITY_CARD("IDENTITY_CARD", "身份证"),
    PASS_PORT("PASS_PORT", "护照"),
    STU_NUM("STU_NUM", "学生学号"),
    COMPANY_NUM("COMPANY_NUM", "工号"),
    TAIWAN_CARD("TAIWAN_CARD", "台胞证"),
    OTHERS("OTHERS", "匿名"),
    HK_MC_CARD("HK_MC_CARD", "港澳证件");

    private String code;
    private String desc;


}
